/*
 * ServerScreen.h
 *
 *  Created on: 18 Dec 2009
 *      Author: mat
 */

#ifndef SERVERSCREEN_H_
#define SERVERSCREEN_H_

#include "MenuItem.h"
#include "ServerGameScreen.h"

class ServerLevelSelect: public MenuItem {
public:
	ServerLevelSelect(MenuItem*);
	virtual ~ServerLevelSelect();
	void Init();
	void Reset();
	MenuItem* SendEscape();
protected:
	void DrawSelf(SDL_Surface*);
	void HandleKey(int);
	void HandleMouse(int,int,long,long);

private:
	bool waitingForConnection;
	ServerGameScreen* serverGameScreen;
	bool connected;

	void ConnectToGame();
};

#endif /* SERVERSCREEN_H_ */
